import * as mc from 'mojang-minecraft'
import { world } from 'mojang-minecraft'
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="GregoryAndGames"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="pggames100"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="YouTubeDerNI"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="CoolFireGaming1"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Nobrola"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="ShadowSlash5961"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="SuatSelcuk"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Никита"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="botti1222"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Blaze Your Fire"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="stvv1222"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="MELLO OFC"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="DJ On Beat"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="ShadowCreatorYT"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="MidFlounder343"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Sasha Green"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Swishy5241"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="NathanielUllman"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Farriz man"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="GUGAHENRIQUE777"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Rapid10x1206"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="KaalKeshavyt"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Thầy Giáo Tam"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="finnohumano1321"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="G4brielLucas100"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="LewisBraywood"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Agentecreepe297"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="projectMiruki"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="МаксиЧенко"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Max234g"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Egorauf"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="DudeDragon4444"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="shaxlordtop1gg"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="kimu 01 1000"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Real MKG"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Real_MKG"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="CooL125"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="IgneousCactus53"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Rikomcpe12"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="MCPE BOY 99"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="ARC183"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Gaming2524"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="Blaze Your Fire"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`tag @a[name="ALmahyra125"] add kick`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`scoreboard players add @p[tag=kill2] kill2 1`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`function gamemodec`);
    })
}catch (error) {
}
try{
    mc.world.events.tick.subscribe(() => {
        world.getDimension("overworld").runCommand(`gamerule dofiretick false`);
    })
}catch (error) {
}

mc.world.events.chat.subscribe(output => {
    let plname = output.sender.name
    if (output.message === "!test") {
        world.getDimension("overworld").runCommand(`say @a test`);
    }
    if (output.message === "!skin stun 0") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_stun_0`);
    }
    if (output.message === "!skin stun 1") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_stun_1`);
    }
    if (output.message === "!skin stun 2") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_stun_2`);
    }
    if (output.message === "!skin stun 3") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_stun_3`);





    }
    if (output.message === "!skin stg 0") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_stg_0`);
    }
    if (output.message === "!skin stg 1") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_stg_1`);




    }
    if (output.message === "!skin mk18 0") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_mk18_0`);
    }
    if (output.message === "!skin mk18 1") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_mk18_1`);





    }
    if (output.message === "!skin honeybadger 0") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_honeybadger_0`);
    }
    if (output.message === "!skin honeybadger 1") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_honeybadger_1`);





    }
    if (output.message === "!skin p228 0") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_p228_0`);
    }
    if (output.message === "!skin p228 1") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_p228_1`);



    }
    if (output.message === "!skin thompson 0") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_thompson_0`);
    }
    if (output.message === "!skin thompson 1") {
        world.getDimension("overworld").runCommand(`execute "${plname}" ~~~ function skin_thompson_1`);
    }
})